Bug 1716339 - lttng-ust fails to build in Fedora 31/rawhide
Summary: lttng-ust fails to build in Fedora 31/rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: lttng-ust
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Yannick Brosseau
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON38 F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-06-03 09:11 UTC by Miro Hrončok
Modified: 2019-07-31 22:40 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 16:56:15 UTC


Attachments (Terms of Use)
build.log from Koji (40.04 KB, text/plain)
2019-06-03 09:11 UTC, Miro Hrončok
no flags Details
root.log from Koji (73.03 KB, text/plain)
2019-06-03 09:12 UTC, Miro Hrončok
no flags Details

Description Miro Hrončok 2019-06-03 09:11:17 UTC
Created attachment 1576541 [details]
build.log from Koji

lttng-ust 2.10.2-2.fc30 fails to build in Fedora 31/rawhide:

Making all in libringbuffer
make[2]: Entering directory '/builddir/build/BUILD/lttng-ust-2.10.2/libringbuffer'
/bin/sh ../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include/lttng  -I../include -I../include  -DUST_COMPONENT="libringbuffer" -Wall -fno-strict-aliasing -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -c -o libringbuffer_la-smp.lo `test -f 'smp.c' || echo './'`smp.c
/bin/sh ../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include/lttng  -I../include -I../include  -DUST_COMPONENT="libringbuffer" -Wall -fno-strict-aliasing -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -c -o libringbuffer_la-shm.lo `test -f 'shm.c' || echo './'`shm.c
/bin/sh ../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include/lttng  -I../include -I../include  -DUST_COMPONENT="libringbuffer" -Wall -fno-strict-aliasing -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -c -o libringbuffer_la-ring_buffer_backend.lo `test -f 'ring_buffer_backend.c' || echo './'`ring_buffer_backend.c
/bin/sh ../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../include/lttng  -I../include -I../include  -DUST_COMPONENT="libringbuffer" -Wall -fno-strict-aliasing -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -c -o libringbuffer_la-ring_buffer_frontend.lo `test -f 'ring_buffer_frontend.c' || echo './'`ring_buffer_frontend.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I../include/lttng -I../include -I../include -DUST_COMPONENT=libringbuffer -Wall -fno-strict-aliasing -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -c smp.c  -fPIC -DPIC -o .libs/libringbuffer_la-smp.o
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I../include/lttng -I../include -I../include -DUST_COMPONENT=libringbuffer -Wall -fno-strict-aliasing -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -c shm.c  -fPIC -DPIC -o .libs/libringbuffer_la-shm.o
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I../include/lttng -I../include -I../include -DUST_COMPONENT=libringbuffer -Wall -fno-strict-aliasing -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -c ring_buffer_backend.c  -fPIC -DPIC -o .libs/libringbuffer_la-ring_buffer_backend.o
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I../include/lttng -I../include -I../include -DUST_COMPONENT=libringbuffer -Wall -fno-strict-aliasing -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -c ring_buffer_frontend.c  -fPIC -DPIC -o .libs/libringbuffer_la-ring_buffer_frontend.o
BUILDSTDERR: In file included from ../include/usterr-signal-safe.h:29,
BUILDSTDERR:                  from frontend_types.h:38,
BUILDSTDERR:                  from backend_internal.h:31,
BUILDSTDERR:                  from backend.h:32,
BUILDSTDERR:                  from ring_buffer_backend.c:29:
BUILDSTDERR: ../include/lttng/ust-tid.h:38:21: error: static declaration of 'gettid' follows non-static declaration
BUILDSTDERR:    38 | static inline pid_t gettid(void)
BUILDSTDERR:       |                     ^~~~~~
BUILDSTDERR: In file included from /usr/include/unistd.h:1170,
BUILDSTDERR:                  from ring_buffer_backend.c:23:
BUILDSTDERR: /usr/include/bits/unistd_ext.h:34:16: note: previous declaration of 'gettid' was here
BUILDSTDERR:    34 | extern __pid_t gettid (void) __THROW;
BUILDSTDERR:       |                ^~~~~~
BUILDSTDERR: In file included from ../include/usterr-signal-safe.h:29,
BUILDSTDERR:                  from frontend_types.h:38,
BUILDSTDERR:                  from backend_internal.h:31,
BUILDSTDERR:                  from backend.h:32,
BUILDSTDERR:                  from ring_buffer_frontend.c:73:
BUILDSTDERR: ../include/lttng/ust-tid.h:38:21: error: static declaration of 'gettid' follows non-static declaration
BUILDSTDERR:    38 | static inline pid_t gettid(void)
BUILDSTDERR:       |                     ^~~~~~
BUILDSTDERR: In file included from /usr/include/unistd.h:1170,
BUILDSTDERR:                  from ring_buffer_frontend.c:59:
BUILDSTDERR: /usr/include/bits/unistd_ext.h:34:16: note: previous declaration of 'gettid' was here
BUILDSTDERR:    34 | extern __pid_t gettid (void) __THROW;
BUILDSTDERR:       |                ^~~~~~
BUILDSTDERR: make[2]: *** [Makefile:482: libringbuffer_la-ring_buffer_backend.lo] Error 1

This blocks the Python 3.8 rebuild.

Comment 1 Miro Hrončok 2019-06-03 09:12:13 UTC
Created attachment 1576542 [details]
root.log from Koji

Comment 2 Miro Hrončok 2019-06-10 16:44:45 UTC
This issue is blocking the Python 3.8 rebuilds. If this package won't build with 3.8, it won't be installable, along with all its dependent packages, after the side tag is merged.
Furthermore, as it fails to install, its dependent packages will fail to install and/or build as well. The fix should be pushed on the master branch and no release bump is required.

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.8: https://copr.fedorainfracloud.org/coprs/g/python/python3.8/

This issue needs to be resolved by next week, if other rebuilds of Python 3.8 beta 1 go well. If this is unrealistic for you, let us know how much time you need.

If you don't have free cycles to dedicate fixing your package, notify us and we'll try to provide some pointers. Let us know if we can push a fix directly without a pull request, in the case we happen to have one before you do.

We recommend always consulting with upstream, chances are this is already fixed there.

Comment 3 Michael Jeanson 2019-06-10 16:51:10 UTC
A fixed build was uploaded to rawhide, see https://koji.fedoraproject.org/koji/buildinfo?buildID=1278917

Comment 4 Miro Hrončok 2019-06-10 16:56:15 UTC
Thank you!


Note You need to log in before you can comment on or make changes to this bug.